#!/usr/bin/env python3

import subprocess, glob, os

for ifn in glob.glob("**/*.in", recursive=True):
    ofn = os.path.splitext(ifn)[0]
    subprocess.call(["cpp", "-P", ifn, "-o", ofn])

f = open(os.path.join("..", os.path.basename(os.path.dirname(os.path.abspath(__file__))) + "_1.13_1.14.zip"), "wb")
subprocess.call(["bsdtar", "-cf", "-", "--format", "zip", "."], stdout=f)
f.close()

for ifn in glob.glob("**/*.in", recursive=True):
    ofn = os.path.splitext(ifn)[0]
    subprocess.call(["cpp", "-P", "-DPOSTBEES", ifn, "-o", ofn])

f = open(os.path.join("..", os.path.basename(os.path.dirname(os.path.abspath(__file__))) + "_1.15.zip"), "wb")
subprocess.call(["bsdtar", "-cf", "-", "--format", "zip", "."], stdout=f)
f.close()

for ifn in glob.glob("**/*.in", recursive=True):
    ofn = os.path.splitext(ifn)[0]
    os.unlink(ofn)


